\version "2.10.25"
%{
@title     Silence
@copyright 1987 Frederic G. MARAND
@license   Tous droits rservs
@version   $Id: silence.ly,v 1.1 2007-09-30 15:35:21 marand Exp $

Intro: trois parties, typiquement pizzicati
A  = Couplet, men par le duo chant/basse
AB = Transition couplet/refrain
B  = Refrain

%}

\header
  {
  title      = "Silence"
%  subtitle   = ""
  composer   = "FGM"
  copyright  = "1987"
%  meter      = "Patch basse = Live at Leeds"
  }

% -- Intro, premire partie, voix haute
introAH =
  {
  g'4.                          d'8     g4~            g16 fis e8
  d4.                           a'8     d16 d, a' c    d,  a'  d  a
  e'16 e,32 b'32 e16  e,  d' b  e,  b'  c   c,  b' c,  g'  e   c  e
  d16  a         fis' d   g  d  fis a   d,  g   d  fis d   g   a  d, \bar "||"
  }

% -- Intro, premire partie, voix basse
introAL =
  {
  g4. d'8 g2 | d2  d2 | e2  c2 | d1
  }

% -- Intro, deuxime partie, voix haute
introBH =
  {
  <e  g   b  >2
  <e  g   c  >4. b'8
  <d, fis b  >2
  <b d   fis>2
  }

% -- Intro, deuxime partie, voix basse
introBL =
  {
  e,1
  d2
  b,2
  }

% -- Intro, troisime partie, voix haute
introCH =
  {
  g16 e8  c16~    c4            b16 d8    fis16~  fis4
  g16 e8  c16~    c16 a c  a    b16 d fis d~      d4   \bar "||"
  }

% -- Intro, troisime partie, voix basse
introCL =
  {
  c8. a,16~  a,4~ a,16 d  a, b,~   b,4
  c8. a,16~  a,4  b,8.       d16~  d4
  }

% -- couplet, basse
bassA =
  {
  d16 e e e   e16 e e e    d16 e e g    e16 fis e  e
  d16 d d d   d16 d d a    b16 b d b~   b16 b   b  b
  c16 c c a   a   a a a    a   d a b    b16 b   b  b
  c16 c c a   a   a a a    b16 b b d~   d16 d   d  d
  }

% -- transition couplet/refrain, basse
bassAB =
  {
  \times 2/3 { d8 d d }
  \times 2/3 { d8 d d }
  }

% -- couplet, rythmique
clavA =
  {
  d16 e <d g> e e <d g> e <d g>
  d16 e <d g> e e <d g> e <d g>
  fis32 d a' d,   fis d a' d,   fis d  a' d,   fis d a' d,
  fis32 d b' d,   fis d b' d,   fis d  b' d,   fis d b' d,
  \introCH
  }

% -- transition couplet/refrain, rythmique
clavAB =
  {
  \times 2/3 { r8  d e }
  \times 2/3 { fis g a }
  }

% -- intro trois parties, accords
chordsIntro = \chordmode
  {
  g1 d  e2:m c d1
  e1:m  d2   b2:m
  c8. a16:m  a4:m  a16:m d8  b,16:m~  b,4:m
  c8. a16:m  a4:m  b8.:m d16          d4
  }

% -- couplet, accords
chordsA = \chordmode
  {
  e2:m             e:m
  d2               b:m
  c8. a16:m  a4:m  a16:m d8  b,16:m~  b,4:m
  c8. a16:m  a4:m  b8.:m d16          d4
  }

% -- transition couplet/refrain, accords
chordsAB = \chordmode
  {
  d2
  }

% -- couplet, chant
voxA =
  {
  d16   e    e   e       e   d e g~   g    e8.      r4
  fis16 fis8     fis16   fis fis8.    b,16 d8  d16~ d  d  d8
  s1
  s1
  }
voxB =
  {
  d16   e    e   e       e   d e g~   g   fis e e16~ e4
  r1 r1 r1
  }

% === et maintenant la partition proprement dite ======
\score
  {
  <<
%{  \new ChordNames % ---- accords ----------------------
    {
    \set chordChanges = ##t
    \chordsIntro
    \repeat unfold 2 { \chordsA }
    \chordsAB
    }
%}
  \new Voice = "voiceVoxA"
    {
    \clef G
    \set Staff.midiInstrument = "electric bass (pick)"
    \repeat unfold 8 { r1 }
    \relative c' \voxA
    \relative c' \voxB
    }

  \new Lyrics \lyricsto "voiceVoxA"
    {
    Si lent is the way of the run ner
    Si lent the fo rest, while he cros ses it
    Si lent is the way of the a ta ra xic
    Si lent are their worlds, void of e mo tions

    Si lent is the way of the ex e cu tives
    Si lent is the way of the dead _
    }

  % -- La ligne de cordes aigues-----------------------
  \new Staff
    {
    \key e \minor
    \set Staff.midiInstrument = "pizzicato strings"
    \time 4/4

    \clef "G" % G^8
    \relative c'  \introAH
    \set Staff.midiInstrument = "string ensemble 2"
    \relative c'  \introBH

    \clef G
    \relative c''' \introCH

    \relative c''  \repeat unfold 2 { \clavA }

    \time 2/4
    \relative c''  \clavAB
    }

  %{
    -- La ligne de basse ------------------------------------------------------
    Sons MIDI disponibles:
    "acoustic bass"                "violin"
    "slap bass 1"                  "viola"
    "slap bass 2"                  "cello"
    "electric bass (finger)"       "contrabass"
    "electric bass (pick)"         "tremolo strings"
    "fretless bass"                "pizzicato strings"
    "slap bass 1"                  "orchestral strings"
    "slap bass 2"                  "timpani"
    "synth bass 1"                 "string ensemble 1"
    "synth bass 2"                 "string ensemble 2"
   %}

  \new Staff
    {
    \clef "F"
    \transposition c
%    \set Staff.instrumentName = "Bass: It's sabotage"
    \set Staff.midiInstrument = "contrabass"
    \key e \minor
    \tempo 4 = 90

    \relative c
    \introAL
    \introBL
    \introCL

    \set Staff.midiInstrument = "electric bass (pick)"
    \relative c \repeat unfold 2 { \bassA }
    \bassAB
    }

  >>

  \midi
    {
%    tempoWholesPerMinute = #(ly:make-moment 180 4)
    }
  \layout {}
  }
